Subject: Re: ioremap and vmalloc

From: Sébastien Chrétien<[email-masked]>
Date: Fri, 19 Sep 2008 18:34:06 +0200

The first is ioremap(0x20000000,0x10000000);
The second is ioremap(0x80000000,0x10000000);
Is it too long

Grant Likely a écrit :
> On Fri, Sep 19, 2008 at 01:15:20PM +0200, =?ISO-8859-1?Q?S=E9bastien_Chr=E9tien_ wrote:
>   
>> Hello,
>>
>> When I use ioremap, the second time, I obtain this message :
>>
>> allocation failed: out of vmalloc space - use vmalloc=<size> to increase
>> size.
>> What can I do in order to fix this problem ?
>>     
>
> How large are the regions that you are ioremapping?  The kernel sets
> aside a fixed amount of the virtual address space for ioremaps, and if
> you exhaust that then more ioremaps will stop working.
>
> g.
>
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev
>
>